Skip to content

createOnDemandSapHanaBackup

Create on demand database snapshot Supported in v5.3+ Initiates a job to take an on demand full snapshot of a specified SAP HANA database object. The GET /sap_hana/db/request/{id} endpoint can be used to monitor the progress of the job.

Arguments

Argument Type Description
input (required) CreateOnDemandSapHanaBackupInput! Input for V1CreateOnDemandSapHanaBackup.

Returns

AsyncRequestStatus!

Sample

mutation CreateOnDemandSapHanaBackup($input: CreateOnDemandSapHanaBackupInput!) {
  createOnDemandSapHanaBackup(input: $input) {
    endTime
    id
    nodeId
    progress
    result
    startTime
    status
  }
}
{
  "input": {
    "id": "example-string"
  }
}
{
  "data": {
    "createOnDemandSapHanaBackup": {
      "endTime": "2024-01-01T00:00:00.000Z",
      "id": "example-string",
      "nodeId": "example-string",
      "progress": 0.0,
      "result": "example-string",
      "startTime": "2024-01-01T00:00:00.000Z",
      "error": {
        "message": "example-string"
      },
      "links": [
        {
          "href": "example-string",
          "rel": "example-string"
        }
      ]
    }
  }
}